#
# spec file for package python-pick
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pick
Version:        0.6.7
Release:        bp153.1.17
Summary:        Curses-based interactive selection list module
License:        MIT
URL:            https://github.com/wong2/pick
# https://github.com/wong2/pick/issues/28
Source0:        https://github.com/wong2/pick/archive/v%{version}.tar.gz#/pick-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module curses}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
pick is a Python library to help create curses-based
interactive selection list in the terminal.

%prep
%setup -q -n pick-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Mar 16 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to version 0.6.7
  * Simplify pick function arguments
* Thu Jan 30 2020 aloisio@gmx.com
- Update to version 0.6.6
  * Fix for error _curses.error: use_default_colors() returned
    ERR
  * Updated Python test matrix
  * Rename multi_select to multiselect
  * Make print a function in the readme
  * Update README and convert it to RST for PyPI
- Dropped group tag
* Mon Jun  3 2019 Petr Gajdos <pgajdos@suse.com>
- turn the testsuite on
* Tue Jan 22 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase.
* Sat Jan 19 2019 Luigi Baldoni <aloisio@gmx.com>
- Replaced tarball with current one
- Removed tests (units no longer supplied)
* Sun Dec 16 2018 munix9@googlemail.com
- initial package for version 0.6.4
